| sysmonpsv Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xsysmonpsv_lowlevel.h File Reference

## Functions
void | XSysMonPsv_ReadReg32 (XSysMonPsv *InstancePtr, u32 Offset, u32 *Data)
| Reads the register value. More...
void | XSysMonPsv_WriteReg32 (XSysMonPsv *InstancePtr, u32 Offset, u32 Data)
| Writes the register value. More...
void | XSysMonPsv_UpdateReg32 (XSysMonPsv *InstancePtr, u32 Offset, u32 Mask, u32 Data)
| Updates the register value. More...

## Function Documentation

void XSysMonPsv_ReadReg32 | ( | XSysMonPsv * | InstancePtr,
|  | u32 | Offset,
|  | u32 * | Data
| ) |  |

Reads the register value.

Parameters

  InstancePtr | Pointer to the driver instance.
  Offset | Offset address for the register.
  Data | Value to be read.

Returns
  None.

References XSysMonPsv_Config::BaseAddress, and XSysMonPsv::Config.

Referenced by XSysMonPsv_ClearAlarm(), XSysMonPsv_DisableVoltageEvents(), XSysMonPsv_EnableVoltageEvents(), XSysMonPsv_GetSupplyAverageRate(), XSysMonPsv_GetSupplyThresholdLower(), XSysMonPsv_GetSupplyThresholdUpper(), XSysMonPsv_GetTempAverageRate(), XSysMonPsv_GetTempThresholdLower(), XSysMonPsv_GetTempThresholdUpper(), XSysMonPsv_InterruptGetStatus(), XSysMonPsv_IntrGetEnabled(), XSysMonPsv_IntrGetStatus(), XSysMonPsv_IsAlarmCondition(), XSysMonPsv_IsAlarmPresent(), XSysMonPsv_IsNewData(), XSysMonPsv_PMBusEnable(), XSysMonPsv_PMBusEnableCmd(), XSysMonPsv_ReadAlarmConfig(), XSysMonPsv_ReadDeviceTemp(), XSysMonPsv_ReadDevTempThreshold(), XSysMonPsv_ReadOTTempThreshold(), XSysMonPsv_ReadSupplyProcessed(), XSysMonPsv_ReadSupplyRaw(), XSysMonPsv_ReadSupplyThreshold(), XSysMonPsv_ReadSupplyValue(), XSysMonPsv_ReadTempProcessed(), XSysMonPsv_ReadTempProcessedSat(), XSysMonPsv_ReadTempRaw(), XSysMonPsv_ReadTempRawSat(), XSysMonPsv_SelectExtInterface(), XSysMonPsv_SetAlarmConfig(), XSysMonPsv_SetNewDataIntSrc(), XSysMonPsv_SetOTMode(), XSysMonPsv_SetPMBusAddress(), XSysMonPsv_SetTempMode(), and XSysMonPsv_UpdateReg32().

void XSysMonPsv_UpdateReg32 | ( | XSysMonPsv * | InstancePtr,
|  | u32 | Offset,
|  | u32 | Mask,
|  | u32 | Data
| ) |  |

Updates the register value.

Parameters

  InstancePtr | Pointer to the driver instance.
  Offset | Offset addtress of the register.
  Mask | Bits to be masked.
  Data | Value to be written.

Returns
  None.

References XSysMonPsv_ReadReg32(), and XSysMonPsv_WriteReg32().

Referenced by XSysMonPsv_EnableSupplyAverage(), XSysMonPsv_EnableTempAverage(), XSysMonPsv_SetSupplyAverageRate(), and XSysMonPsv_SetTempAverageRate().

void XSysMonPsv_WriteReg32 | ( | XSysMonPsv * | InstancePtr,
|  | u32 | Offset,
|  | u32 | Data
| ) |  |

Writes the register value.

Parameters

  InstancePtr | Pointer to the driver instance.
  Offset | Offset address of the register.
  Data | Value to be written.

Returns
  None.

References XSysMonPsv_Config::BaseAddress, and XSysMonPsv::Config.

Referenced by XSysMonPsv_ClearAlarm(), XSysMonPsv_DisableVoltageEvents(), XSysMonPsv_EnableVoltageEvents(), XSysMonPsv_EnRegGate(), XSysMonPsv_InterruptClear(), XSysMonPsv_InterruptDisable(), XSysMonPsv_InterruptEnable(), XSysMonPsv_IntrClear(), XSysMonPsv_IntrDisable(), XSysMonPsv_IntrEnable(), XSysMonPsv_IsAlarmCondition(), XSysMonPsv_IsNewData(), XSysMonPsv_PMBusEnable(), XSysMonPsv_PMBusEnableCmd(), XSysMonPsv_SelectExtInterface(), XSysMonPsv_SetAlarmConfig(), XSysMonPsv_SetDevTempThreshold(), XSysMonPsv_SetNewDataIntSrc(), XSysMonPsv_SetOTMode(), XSysMonPsv_SetOTTempThreshold(), XSysMonPsv_SetPMBusAddress(), XSysMonPsv_SetSupplyLowerThreshold(), XSysMonPsv_SetSupplyThresholdLower(), XSysMonPsv_SetSupplyThresholdUpper(), XSysMonPsv_SetSupplyUpperThreshold(), XSysMonPsv_SetTempMode(), XSysMonPsv_SetTempThresholdLower(), XSysMonPsv_SetTempThresholdUpper(), XSysMonPsv_StatusReset(), XSysMonPsv_SystemReset(), XSysMonPsv_UnlockRegspace(), and XSysMonPsv_UpdateReg32().